package com.yd.base.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.base.feign.request.field.ApiFieldAddRequest;
import com.yd.base.feign.request.field.ApiFieldEditRequest;
import com.yd.base.feign.request.field.ApiFieldPageRequest;
import com.yd.base.feign.response.field.ApiFieldDetailResponse;
import com.yd.base.feign.response.field.ApiFieldPageResponse;
import com.yd.common.result.Result;

public interface ApiFieldService {
    Result<IPage<ApiFieldPageResponse>> page(ApiFieldPageRequest request);

    Result add(ApiFieldAddRequest request);

    Result edit(ApiFieldEditRequest request);

    Result<ApiFieldDetailResponse> detail(String fieldBizId);

    Result del(String fieldBizId);
}
